/* green nav bar*/
/*white nav buttons*/
/*light grey background for css boxes*/
/*colored &lt; & &gt; symbols (blue)*/
/*tags should be orange and black text*/
/*coding font for code*/
/*green left border for css boxes*/

/*Alters bootstrap's container by specifying a minimum width for the website*/
.container {
	min-width: 500px;
}

/*spaces out elements by creating a margin top*/
.space-out2 {
	margin-top: 100px;
}

/*spaces out elements same way by having a margin top but different value*/
.push-up {
	margin-top: 10px;
}

/*A certain style given for a box to make certain elements look elegant*/
.divs {

	width: 100%;
	height: 100%;
	background-color: #f8f9fa;
	border: 1px solid #dfe0e1;
	box-shadow: 2px 2px 10px;
	padding: 10px;
	margin-bottom: 5px;
	margin-top: 5px;
}

/*Designed to display h1 in the website (header) in an apealling way*/
#format-h1 {
	font-size: 100px;
	font-family: 'Bitter', serif;
	color: #4c4c4c;
	text-align: center;
}

/*sets width of images to 100%*/
.img100 {
	width: 100%;
}

/*sets height of images to 100%*/
.imgh100 {
	height: 100%;
}

/*sets width of image*/
.imgauto {
	width: auto;
}

/*sets width of image*/
.img90 {
	width: 90%;
}

/*sets height of images */
.imgh80 {
	height: 80%;
}

/*sets width of image*/
.img80 {
	width: 80%;
}

/*alters bootrap's grid system*/
.col-md-6 {
	margin: 5px auto;
}

/*taken from: https://css-tricks.com/examples/hrs/*/
hr.style1 {
    border: 0;
    height: 1px;
    background: #333;
    background-image: linear-gradient(to right, #ccc, #333, #ccc);
    margin-bottom: 20px;
}

/*Have adapted one of the styles from: https://css-tricks.com/examples/hrs/*/
hr.style2 {
    border: 0;
    height: 1px;
    background: #333;
   
}

/*taken from: https://css-tricks.com/examples/hrs/*/
hr.style-seven { 
	overflow: visible; 
	/* For IE */ 
	height: 30px; 
	border-style: solid; 
	border-color: black; 
	border-width: 1px 0 0 0; 
	border-radius: 20px; 
} 

/*taken from: https://css-tricks.com/examples/hrs/*/
hr.style-seven:before { 
	/* Not really supposed to work, but does */ 
	display: block;
	content: "";
	height: 30px;
	margin-top: -31px;
	border-style: solid;
	border-color: black;
	border-width: 0 0 1px 0;
	border-radius: 20px; 
}

/*taken from: https://css-tricks.com/examples/hrs/*/
hr.style-eight { 
	overflow: visible; 
	/* For IE */ 
	padding: 0; 
	border: none; 
	border-top: medium double #333; 
	color: #333; 
	text-align: center; 
} 

/*taken from: https://css-tricks.com/examples/hrs/*/
hr.style-eight:after { 
	content: "§"; 
	display: inline-block; 
	position: relative; 
	top: -0.7em; 
	font-size: 1.5em; 
	padding: 0 0.25em; 
	background: white; 
}

/*CSS box model of header h1*/
h1.title {
	font-family: 'Montserrat', sans-serif;
	text-align: center;
	background-color: #f8f9fa;
	color: #555555;
	width: 80%;
	position: relative;
	left: 10%;
	border: 2px solid #dfe0e1;
	box-shadow: 2px 2px 10px;
}

/*consisten style given to sub-headers*/
.subtitle {

    border: 1px solid #dfe0e1;
    box-shadow: 2px 2px 10px;
    text-align: center;
    background-color: #f8f9fa;
    height: 45px;
    line-height: 1.5em;
    margin-bottom: 0;
}

/*styles all h2 tags*/
h2 {
	font-family: 'Bitter', serif;
	color: #4c4c4c;
	font-size: 27.5px;
	margin-top: 10px;
}

/*styles all h3 tags*/
h3 {
	font-family: 'Bitter', serif;
	color: #4c4c4c;
}

/*styles all p tags*/
p {
	font-family: 'Merriweather', serif;
	color: #444444;
}

/*creates a CSS box for all introduction paragraphs*/
.introbox {
	
	background-color: #f8f9fa;
	color: #4c4c4c;
	padding: 10px;
	border: 1px solid #dfe0e1;
	box-shadow: 1px 1px 5px;
	margin-bottom: 5px;
	margin-top: 10px;
}

/*unqiue box just made for the additional resources section*/
#additional-resources {
    background-color: #f8f9fa;
    color: #4c4c4c;
    padding: 10px;
    border: 1px solid #dfe0e1;
    box-shadow: 1px 1px 5px;
    margin-bottom: 5px;
    margin-top: 10px;
    width: 99.9%;
    margin-left: auto;
    margin-right: auto;
}

/*styles all p tags that have the introbox class in a certain way*/
p.introbox {
	color: #444444;
}

/*indents text*/
.indent {
	
	width: 95%;
	position: relative;
	left: 5%;
}

/*indents images*/
.indent-image {

	position: relative;
	left: 4%;
}

/*formats headers used for demonstration*/
.format-headers {
	font-family: sans-serif;
	color: rgb(0,0,0);
	
}

/* taken from: https://css-tricks.com/examples/hrs/ */
hr.style { 		
	border: 0; 
	height: 1px; 
	background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0)); 
}

/*spaces out text for the headers used for demonstration*/
.format-headertags {
	line-height: 40px;
}

/*formats h3 used for demonstration*/
#h3 {
	margin: 10px 0;
}

/*formats h5 used for demonstration*/
#h5 {
	margin: 15px 0;
}

/*underlines text*/
.underline {
	text-decoration: underline;
}

/*spaces out elements using a margin botton*/
.push-down {
	margin-bottom: 20px;
}

/*another one for spacing out elements*/
.space-out {
	margin-top: 15px;
}

/*formats table rows code*/
.tr {
	margin-bottom: 0;
	margin-top: 0;
	position: relative;
	left: 25px;
}

/*formats table cells code*/
.tc {
	margin-bottom: 0;
	margin-top: 0;
	position: relative;
	left: 50px;
}

/*still formats table cells code but indents them more */
.double-tc {
	margin-bottom: 0;
	margin-top: 0;
	position: relative;
	left: 75px;
}

/*centers table*/
#table {
	margin: 0;
}

/*centers text*/
.reset-p {
	margin: 0;
}

/*center aligns class for anything*/
.center {
	width: 100%;
	margin: auto;
}

/*centers images*/
#center-img {
	width: 80%;
	margin-left: auto;
	margin-right: auto;
	position: relative;
	top: 10%;
}

/*centers text*/
.center-content {
	text-align: center;
	position: relative;
	top: 40%;

}

/*another class for centering content*/
.center-content1 {
	text-align: center;
	position: relative;
	top: 35%;

}

/*changes text color to red*/
.turn-red {
	color: #330000;
}

/*makes vertices of CSS boxes curved*/
.curved {
	border-radius: 25px;
}

/*formats an image in a certain way*/
#format-img {
	height: auto;
	position: relative;
	top: 10%;
}

/*formats audio's postion*/
#format-audio {
	height: auto;
	position: relative;
	top: 20%;
}

/*formats video used*/
#format-vid {
	width: 80%;
	margin-left: 9%;
}

/*formats youtube video*/
#format-yvid {
	width: 70%;
	margin: 10px auto;
}

/*Another class for centering text*/
.cntr{
	text-align: center;
}

/*Another class for spacing out elements*/
#space-out {
	margin-top: 15px;
}

/*Another way of having content in the middle*/
#middle {
	position: relative;
	left: 22.5%;
	margin-top: 15px;
}

/*Another way of spacing out elements*/
.push-down2 {
	margin-bottom: 90px;
}

/*Alters one of bootstrap's grid system components*/
.col-sm-6 {
	margin: 5px auto;
}